Bug 181179 - deadlock when expanding Web Project node (keyring.gnome.GnomeProvider)
deadlock when expanding Web Project node (keyring.gnome.GnomeProvider)
Status: RESOLVED FIXED
Product: serverplugins
Classification: Unclassified
Component: GlassFish
6.x
PC Linux
: P3 (vote)
: 6.x
Assigned To: Vince Kraemer
issues@serverplugins
: THREAD
Depends on:
Blocks: 173413
  Show dependency treegraph
 
Reported: 2010-02-24 21:11 UTC by David Konecny
Modified: 2010-02-26 14:18 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
3x thread dump + IDE version info (45.20 KB, text/plain)
2010-02-24 21:11 UTC, David Konecny
Details

Note You need to log in before you can comment on or make changes to this bug.
Description David Konecny 2010-02-24 21:11:49 UTC
Created attachment 94502 [details]
3x thread dump + IDE version info

I started IDE and did not pay attention to it for an hour or two and then tried to expand project but nothing happened. From thread dump it looked like I should see some OS dialog and approve access to my OS keyring but I have not found any dialog. After killing IDE and restarting it I'm shown OS dialog and choose "Always allow NetBeans to access my keyring" and problem seems to be gone. I wonder what went wrong first time. Feel free to lower to P3 after your evaluation.
Comment 1 Vince Kraemer 2010-02-24 23:12:58 UTC
Jesse... I have seen a similar ST in one of the issues assigned to you.  Is this a related issue or am I just using the api incorrectly?
Comment 2 Jesse Glick 2010-02-25 07:33:05 UTC
Don't know. I have seen such "Always allow..." dialogs and they have not been a problem. Perhaps your window manager does not reliably expose dialogs vs. regular windows? On occasion in Metacity I have had to minimize a window (e.g. Thunderbird) in order to see dialogs which for some reason got put behind it. (I don't think Gnome "understands" that the dialog is associated with the NB main JFrame due to C <-> Java issues.)

Anyway it is dubious to be asking for a password in the middle of ProjectOpenedHook. From looking at the code, I am guessing that AntDeploymentProviderImpl.computeFile does not really need to include commonSupport.getPassword() in the hashCode used to identify its property file - this would mean an existing config file would be quietly unused after changing your server password, which doesn't make a lot of sense. Generally speaking, you should only be asking for a password in response to some user action which clearly requires server access: deploying an app, etc.; merely opening a project should not require a password! Assigning to Vince to evaluate this aspect, otherwise would probably be WORKSFORME.
Comment 3 Vince Kraemer 2010-02-25 11:05:28 UTC
http://hg.netbeans.org/web-main/rev/16ad6a137acb
Comment 4 Quality Engineering 2010-02-25 22:12:36 UTC
Integrated into 'main-golden', will be available in build *201002260200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/16ad6a137acb
User: vince kraemer <vkraemer@netbeans.org>
Log: #181179: do not getPassword on project open.
Comment 5 Vince Kraemer 2010-02-26 14:18:13 UTC
in the trunk


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo